Package org.eclipse.osgi.storage

# Enum Class ContentProvider.Type

java.lang.Object
java.lang.Enum<ContentProvider.Type>
org.eclipse.osgi.storage.ContentProvider.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<ContentProvider.Type>`, `Constable`

Enclosing interface:
  ContentProvider

public static enum ContentProvider.Type extends Enum<ContentProvider.Type>
The type of the provided content

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CONNECT`
`DEFAULT`
`REFERENCE`

## Method Summary

Modifier and Type
Method
Description
`static ContentProvider.Type`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ContentProvider.Type[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### REFERENCE

public static final ContentProvider.Type REFERENCE

### CONNECT

public static final ContentProvider.Type CONNECT

### DEFAULT

public static final ContentProvider.Type DEFAULT

## Method Details

### values

public static ContentProvider.Type[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ContentProvider.Type valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null